<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Lection 7</title>
</head>
<style>
    /* #box {
      position: absolute;
      width: 700px;
      height: 600px;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      border: 2px solid black;
    }
    #cursor-square {
      position: absolute;
      width: 20px;
      height: 20px;
      background-color: red;
      display: none;
    } */



    /* #container {
      position: absolute;
      width: 600px;
      height: 500px;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      border: 2px solid black;
      overflow: hidden;
    }
    .color-square {
      position: absolute;
      width: 50px;
      height: 50px;
    }
    .green { background-color: green; }
    .blue { background-color: blue; }
    .red { background-color: red; }
    .yellow { background-color: yellow; } */

    .scale {
      width: 300px;
      /* height: 20px; */
      border: 1px solid #ccc;
      position: relative;
      top: 20px;
    }

      .mark {
        width: 20px;
        height: 20px;
        background-color: #ff0000;
        position: absolute;
        top: -10px;
        left: 0;
        transition: left 0.2s ease-out;
      }
</style>
<body>
    <!-- <div id="box">
        <div id="cursor-square"></div>
    </div> -->

    <!-- <div id="container"></div> -->

    <div class="scale"> 
      <div id="mark" class="mark"></div>
    </div> <br><br>
    <input type="range" id="rangeInput" min="0" max="100" value="0">

  <script src="lection7.js"></script>
</body>
</html>